libzypp 17.37.10

zyppng::ProvideStatus::Stats Struct Reference

`#include <zypp-media/ng/provide.h>`

## Public Attributes
std::chrono::steady_clock::time_point | _startTime
std::chrono::steady_clock::time_point | _lastPulseTime
uint | _itemsSinceStart = 0
uint | _runningItems = 0
zypp::ByteCount | _finishedBytes
zypp::ByteCount | _expectedBytes
zypp::ByteCount | _partialBytes
zypp::ByteCount | _perSecondSinceLastPulse
zypp::ByteCount | _perSecond

## Detailed Description

Definition at line 82 of file provide.h.

## Member Data Documentation

## ◆ _startTime

std::chrono::steady_clock::time_point zyppng::ProvideStatus::Stats::_startTime

Definition at line 83 of file provide.h.

## ◆ _lastPulseTime

std::chrono::steady_clock::time_point zyppng::ProvideStatus::Stats::_lastPulseTime

Definition at line 84 of file provide.h.

## ◆ _itemsSinceStart

uint zyppng::ProvideStatus::Stats::_itemsSinceStart = 0

Definition at line 85 of file provide.h.

## ◆ _runningItems

uint zyppng::ProvideStatus::Stats::_runningItems = 0

Definition at line 86 of file provide.h.

## ◆ _finishedBytes

zypp::ByteCount zyppng::ProvideStatus::Stats::_finishedBytes

Definition at line 87 of file provide.h.

## ◆ _expectedBytes

zypp::ByteCount zyppng::ProvideStatus::Stats::_expectedBytes

Definition at line 88 of file provide.h.

## ◆ _partialBytes

zypp::ByteCount zyppng::ProvideStatus::Stats::_partialBytes

Definition at line 89 of file provide.h.

## ◆ _perSecondSinceLastPulse

zypp::ByteCount zyppng::ProvideStatus::Stats::_perSecondSinceLastPulse

Definition at line 90 of file provide.h.

## ◆ _perSecond

zypp::ByteCount zyppng::ProvideStatus::Stats::_perSecond

Definition at line 91 of file provide.h.

The documentation for this struct was generated from the following file:

- zypp-media/ng/provide.h